<powershell>
$RIGHTLINK_DATA_DIR="$env:ProgramData\RightScale\RightLink"
$RS_ID_FILE="$RIGHTLINK_DATA_DIR\rightscale-identity"

New-Item -Path $RIGHTLINK_DATA_DIR -Force -Type directory

New-Item -Path $RS_ID_FILE -ItemType file -Force -Value @'
{% for rs_item in rs_agent %}
RS_{{ rs_item[0] }}={{ rs_item[1] }}
{% endfor %}
'@

$RIGHTLINK_BASE_URL='https://rightlink.rightscale.com/rll/10.6.4'
$RIGHTLINK_BOOT='rightlink.boot.ps1'
$RIGHTLINK_BOOT_URL="$RIGHTLINK_BASE_URL/$RIGHTLINK_BOOT"

$wc = New-Object System.Net.WebClient
$wc.DownloadFile($RIGHTLINK_BOOT_URL, "$pwd\$RIGHTLINK_BOOT")
powershell.exe -ExecutionPolicy unrestricted -File $RIGHTLINK_BOOT
</powershell>
